Subject: Re: [Qdisc] Prioritizing traffic per vlan using qdisc.

From: Stephen Hemminger <[email-masked]>
Date: Mon, 11 Aug 2008 18:17:12 -0700

On Mon, 11 Aug 2008 17:48:22 -0700
"Pravin Bathija" <[email-masked]> wrote:

> Using Linux 2.6.23 I want to create multiple Vlans for voice, data,
> video etc. The requirement is to prioritize each vlan on the ingress and
> egress. I am looking at qdisc to do this however without success. Could
> you please advise is there is a way to do this using qdisc tc(traffic
> control) commands. If not - is there another way to do this in Linux ?
> Any help would be greatly appreciated.
> 
> Thanks,
> Pravin
> 
> --
> To unsubscribe from this list: send the line "unsubscribe netdev" in
> the body of a message to [email-masked]
> More majordomo info at  http://vger.kernel.org/majordomo-info.html

For 2.6.25, an addition to the tc meta match to allow matching on
vlan tag was added.  Using this it is possible to use meta match
to convert tag -> flowid then use the flowid with a priority
(or htb) queue.